package name.lamperi.orbital

import java.io.File

fun solveFile(file : File) {
    val problem = parseFile(file)
    println(problem)

    val graph = buildGraph(problem)
    println(graph)

    val solution = solveGraph("Start", "End", graph)
    println("Distance was ${solution.size-1} hops and intermediate route is ${solution.subList(1,solution.size-1)}.")

    verify(graph, solution)
}


fun main(args : Array<String>) {
    solveFile(File("src/main/resources/satellites.txt"))
    solveFile(File("src/main/resources/satellites2.txt"))
    solveFile(File("src/main/resources/satellites3.txt"))
}